From d4b1ceeb01a6853c860c6f1601d7a5fdd7f57e82 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 11 2020 17:45:50 +0000
Subject: [PATCH 872/2232] Build script not needed for published crate


---

diff --git a/gen/build/Cargo.toml b/gen/build/Cargo.toml
index ce9b206..0eb9874 100644
--- a/gen/build/Cargo.toml
+++ b/gen/build/Cargo.toml
@@ -6,6 +6,7 @@ edition = "2018"
 license = "MIT OR Apache-2.0"
 description = "C++ code generator for integrating `cxx` crate into a Cargo build."
 repository = "https://github.com/dtolnay/cxx"
+exclude = ["build.rs"]
 keywords = ["ffi"]
 categories = ["development-tools::ffi"]
 
diff --git a/gen/cmd/Cargo.toml b/gen/cmd/Cargo.toml
index 376c9cd..2c548e6 100644
--- a/gen/cmd/Cargo.toml
+++ b/gen/cmd/Cargo.toml
@@ -6,6 +6,7 @@ edition = "2018"
 license = "MIT OR Apache-2.0"
 description = "C++ code generator for integrating `cxx` crate into a non-Cargo build."
 repository = "https://github.com/dtolnay/cxx"
+exclude = ["build.rs"]
 keywords = ["ffi"]
 categories = ["development-tools::ffi"]
 
diff --git a/gen/lib/Cargo.toml b/gen/lib/Cargo.toml
index 48a4b72..db6de83 100644
--- a/gen/lib/Cargo.toml
+++ b/gen/lib/Cargo.toml
@@ -6,6 +6,7 @@ edition = "2018"
 license = "MIT OR Apache-2.0"
 description = "C++ code generator for integrating `cxx` crate into higher level tools."
 repository = "https://github.com/dtolnay/cxx"
+exclude = ["build.rs"]
 keywords = ["ffi"]
 categories = ["development-tools::ffi"]
 
diff --git a/macro/Cargo.toml b/macro/Cargo.toml
index e5a52e4..301a750 100644
--- a/macro/Cargo.toml
+++ b/macro/Cargo.toml
@@ -6,7 +6,7 @@ edition = "2018"
 license = "MIT OR Apache-2.0"
 description = "Implementation detail of the `cxx` crate."
 repository = "https://github.com/dtolnay/cxx"
-exclude = ["README.md"]
+exclude = ["build.rs", "README.md"]
 keywords = ["ffi"]
 categories = ["development-tools::ffi"]
 

